%define         libgkplugins_dir       %{_libdir}/gkrellm2/plugins
%define         gkplugname             gkrellm-plugins-%{name}

Name:           wmhdplop
Version:        0.9.11
Release:        %mkrel 2
Summary:        Yet another dockapp to monitor your hard drive
License:        GPLv2
Group:          Monitoring

URL:            http://hules.free.fr/wmhdplop/
Source0:        http://hules.free.fr/wmhdplop/%{name}-%{version}.tar.gz

Patch0:         wmhdplop-0.9.10-makefile_am.patch
Patch1:         wmhdplop-0.9.11-configure_ac.patch

BuildRequires:  pkgconfig(gtk+-2.0) >= 2.0.0
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(libgtop-2.0) >= 2.0.0
BuildRequires:  pkgconfig(gkrellm)

Requires:       fonts-ttf-freefont
Recommends:     hddtemp

%description
Wmhdplop is yet another dockapp for WindowMaker, or any
windowmanager/desktop environment that handles dock applications (KDE
has a dock bar extension, and gnome swallows). It monitors your
hard-drives by sending visual stimuli to your cortex each time your
/dev/hdx (or /dev/sdx) writes or reads anything. Try to launch
open-office and enjoy the wmhdplop show! (loading these kitties in
Mozilla also works).

%package -n %gkplugname
Summary:        Gkrellm port of the WindowMaker dock application wmhdplop
Group:          Monitoring
Requires:       gkrellm
Provides:       %{name}-gkrellm-plugins = %{version}-%{release}

%description -n %gkplugname
%{summary}.

%prep
%setup -q
%autopatch -p1


%build
autoreconf --force --install
%configure
%make_build

%install
%make_install
install -d -m 755 %{buildroot}%{libgkplugins_dir}
install -m 644 .libs/gkhdplop.so %{buildroot}%{libgkplugins_dir}

%files
%doc README AUTHORS COPYING ChangeLog
%{_bindir}/wmhdplop
%{_datadir}/applications/*.desktop
%{_mandir}/man1/wmhdplop.1*

%files -n %gkplugname
%doc README AUTHORS COPYING ChangeLog
%{libgkplugins_dir}/gkhdplop.so


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.9.11-2.mga8
+ Revision: 1525245
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Apr 06 2019 eatdirt <eatdirt> 0.9.11-1.mga7
+ Revision: 1386469
- Upgrade to version 0.9.11

* Tue Oct 02 2018 daviddavid <daviddavid> 0.9.10-2.mga7
+ Revision: 1315826
- add patch to fix build with new glibc
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 eatdirt <eatdirt> 0.9.10-1.mga7
+ Revision: 1239459
- Upgrade to version 0.9.10

* Fri Sep 22 2017 cjw <cjw> 0.9.9-8.mga7
+ Revision: 1157196
- fix debug packages

* Tue Feb 02 2016 umeabot <umeabot> 0.9.9-7.mga6
+ Revision: 932583
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.9-6.mga5
+ Revision: 746301
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.9-5.mga5
+ Revision: 690341
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.9.9-4.mga4
+ Revision: 520302
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 fwang <fwang> 0.9.9-3.mga3
+ Revision: 385969
- cleanup br
- fix build with latest automake
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ eatdirt <eatdirt>
- Rebuild for mga3

* Mon Jun 20 2011 eatdirt <eatdirt> 0.9.9-1.mga2
+ Revision: 110522
- imported package wmhdplop


* Wed Jun 08 2011 Chris Ringeval <dirteat@gmail.com> 0.9.9-1mga1
- import wmhdplop + patches for solving dependencies issues for gkhdplop.so

* Tue Dec 18 2007 Jérôme Soyer <saispo@mandriva.org> 0.9.9-1mdv2008.1
+ Revision: 132068
- New release
  + Thierry Vignaud <tvignaud@mandriva.com>
  - kill re-definition of %%buildroot on Pixel''s request
  - import wmhdplop

* Wed Sep 15 2005 Franck Villaume <fvill@mandriva.org> 0.9.7-1mdk
- new release

* Fri Sep 17 2004 Franck Villaume <fvill@freesurf.fr> 0.9.6-2mdk
- fix BuildRequires

* Tue Aug 10 2004 Laurent Culioli <laurent@mandrake.org> 0.9.6-1mdk

* Wed Apr 06 2004 Laurent Culioli <laurent@pschit.net> 0.9.4-1mdk
- 0.9.4
- drop Patch0
- split gkrellm plugin ( gkhdplop )
- pamela says : hello, my name is Pamela and I love gkhdplop !

* Sun Dec 07 2003 Laurent Culioli <laurent@pschit.net> 0.9.0-1mdk
- prout initial version
- patch0 : fix hardcoded debianeux font path
